MathStringParser
Date: 2007-08-14

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tcra
Class MathStringParser

    java.lang.Object
      tcra.MathTypeParser
          tcra.MathStringParser

    public class MathStringParser

extends MathTypeParser

MathStringParser is used to parse a StringBuilder for one single list.

Constructor Summary
`MathStringParser(MathTypeParser parser)` Constructor specifying the MathTypeParser used to parse the elements of the string.

Method Summary
`MathString<MathType>` | `parse(java.lang.StringBuilder input)` Destructively parses the StringBuilder provided for a single list of elements.

Methods inherited from class tcra.MathTypeParser
`eatWhitespace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MathStringParser

    public MathStringParser(MathTypeParser parser)

  Constructor specifying the MathTypeParser used to parse the elements of the string.

  Parameters:
    `parser` - MathTypeParser used to parse the elements making up the string.

Method Detail

### parse

    public MathString<MathType> parse(java.lang.StringBuilder input)
                               throws MathFormatException

  Destructively parses the StringBuilder provided for a single list of elements. The elements of the string are parsed by their own specific type of MathTypeParser.

  Overrides:
    `parse` in class `MathTypeParser`
  Parameters:
    `input` - StringBuilder to be parsed.
  Returns:
    MathString if parse completed successfully. `null` otherwise.
  Throws:
    `MathFormatException` - If the StringBuilder provided does not match the pattern required by the parser.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD